/*	$Id: sernet.c,v 1.5 2000/08/06 19:19:11 riq Exp $	*/
/* Tenes Empanadas Graciela
 *
 * Copyright (C) 2000 Ricardo Quesada
 *
 * Author: Ricardo Calixto Quesada <rquesada@core-sdi.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */
/**
 * @file sernet.c
 * Funciones de red especificas del server
 */
#include <stdio.h>
#include <stdarg.h>

#include "server.h"

int
netall_printf( char *format, ...)
{
        va_list args;
	char buf[PROT_MAX_LEN];
	PLIST_ENTRY l = g_list_jugador.Flink;
	PJUGADOR j;

	va_start(args, format);
	vsprintf(buf, format, args);
	va_end(args);

	while( !IsListEmpty( &g_list_jugador ) && (l != &g_list_jugador) ) {
		j = (PJUGADOR) l;
		if(j->fd>0) {
			net_printf(j->fd, buf);
		}

		l = LIST_NEXT( l );
	}
	return 0;
}
